%global lang_name  python
%global lib_prefix django
%global lib_name   dajaxice

Name:          %{lang_name}-%{lib_prefix}-%{lib_name}
Version:       0.5.5
Release:       2%{?dist}
Summary:       Agnostic and easy to use AJAX library for Django

Group:         Development/Libraries
# 'LGPLv2.1 or later' and 'Public Domain' licenses were found in dajaxice/templates/dajaxice/dajaxice.core.js
License:       BSD with advertising and LGPLv2+ and Public Domain
URL:           http://www.dajaxproject.com/
Source0:       https://github.com/jorgebastida/%{lib_prefix}-%{lib_name}/archive/%{version}.tar.gz
# fill empty __init__.py files with '# empty' comment line
# Sent upstream via email 20120510
# Updated for new release 20130209
Patch0:        python-django-dajaxice-0.5.5-1-empty_files.patch

BuildArch:     noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-setuptools

Requires:      Django

%description
Easy to use AJAX library for Django, all the presentation logic resides outside
the views and doesn't require any JS framework. dajaxice uses the unobtrusive
standard-compliant (W3C) XMLHttpRequest 1.0 object.

%prep
%setup -q -n %{lib_prefix}-%{lib_name}-%{version}
%patch0 -p1


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT

# remove empty source files and bytecompiled files
find $RPM_BUILD_ROOT -type f -size 0 -name "*.py" -exec rm '{}'{,c,o} \;


%files
%doc COPYING
%{python_sitelib}/%{lib_name}
%{python_sitelib}/%{lib_prefix}_%{lib_name}-%{version}-py?.?.egg-info


%changelog
* Mon Mar 4 2013 Jakub Filak <jfilak@redhat.com> - 0.5.5-2
- fix Django dependency
- Resolves: #917551

* Sat Feb 9 2013 Jakub Filak <jfilak@redhat.com> - 0.5.5-1
- new upstream release

* Mon May 14 2012 Jakub Filak <jfilak@redhat.com> - 0.2-1
- Updated to version 0.2
- Simplification of the install section
- Removed unused global lib_datadir

* Mon May 14 2012 Jakub Filak <jfilak@redhat.com> - 0.1.8.1-3
- Do not rename egg-info
- Add python-setuptools to build requires field

* Fri May 11 2012 Jakub Filak <jfilak@redhat.com> - 0.1.8.1-2
- The spec file corrected to be compliant with the fedora packaging guidlines
- The package name prefixed with the string "python-"

* Mon May 07 2012 Jakub Filak <jfilak@redhat.com> - 0.1.8.1-1
- Initial packaging
